
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.listener.ClickedListener;
import org.joshvm.ui.widget.Button;

public class ButtonTest implements UITest {
    private Display display = Display.getDisplay();

    private void Button_1(Container container) {
        Button btn = new Button();
        btn.setText("Button");
        btn.setPos(300, 100);
        btn.setChecked(false);
        container.addWidget(btn);
        btn.setClickedListener(new ClickedListener() {
            public void onClicked(UIObject target) {
                ((Button)target).setChecked(!((Button)target).isChecked());
                System.out.println("set checked to " + ((Button)target).isChecked());
            }
        });
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Button_1(screen);
    }

    public void stop() {
        display.stop();
    }
}
