/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Area;
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.widget.Button;

public class ContainerTest implements UITest {
    private Display display = Display.getDisplay();

    private void Container_1(Container container) {
        Container subContainer = new Container();
        container.addContainer(subContainer);

        subContainer.setBackgroundColor(new Color(0x6400FF00));
        subContainer.setHeight(200);
        subContainer.setWidth(300);
        subContainer.setX(250);
        subContainer.setY(100);
        // subContainer.setBorderWidth(5);
        subContainer.setBorderColor(new Color(0xFF777700));
        subContainer.setRadius(100);
        subContainer.setShadowWidth(10);
        subContainer.setShadowColor(new Color(0xFF007777));
        subContainer.setShadowOffsetX(20);
        subContainer.setShadowOffsetY(20);

        Button btn = new Button("Button");
        btn.setX(100);
        subContainer.addWidget(btn);
        Button btn2 = new Button("Button2");
        btn2.setAlign(UIObject.ALIGN_LEFT, UIObject.ALIGN_CENTER);
        btn2.setX(50);
        btn2.setTranslateX(50);
        subContainer.addWidget(btn2);
        // subContainer.enableClipCorner(true);

        Area area = subContainer.getCoordinates();
        System.out.println(area.getX1() + "," + area.getY1() + ","
                + area.getX2() + "," + area.getY2());
        area = btn.getCoordinates();
        System.out.println(area.getX1() + "," + area.getY1() + ","
                + area.getX2() + "," + area.getY2());
        area = btn2.getCoordinates();
        System.out.println(area.getX1() + "," + area.getY1() + ","
                + area.getX2() + "," + area.getY2());
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Container_1(screen);
    }

    public void stop() {
        display.stop();
    }
}
