/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import java.io.IOException;

import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.widget.Image;

public class ImageTest implements UITest {
    private Display display = Display.getDisplay();
    private String imgNameA = "/package.png";
    private String imgNameB = "/sunrise.jpg";
    private Image img;

    private void Image_1(Container container) {
        Image image = new Image();
        image.setPos(20, 20);
        container.addWidget(image);
        try {
            image.setSource(imgNameB);
//            image.setSource("josh_smart");
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    private void Image_2(Container container) {
        Image image = new Image();
        image.setPos(20, 20);
        container.addWidget(image);
        try {
            image.setSource(imgNameB);
            image.setRecolor(new Color(0x7F00FF00));
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    private void Image_3(Container container) {
        Image image = new Image();
        image.setPos(20, 20);
        image.setSize(150, 450);
        image.setOffsetX(-100);
        image.setOffsetY(300);
        container.addWidget(image);
        try {
            image.setSource(imgNameB);
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    private void Image_4(Container container) {
        Image image = new Image();
        image.setPos(20, 20);
        image.setSize(150, 450);
        container.addWidget(image);
        try {
            image.setSource(imgNameA);
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    private void Image_5(Container container) {
        Image image = new Image();
        image.setPos(20, 20);
        image.setSize(200, 200);
        container.addWidget(image);
        try {
            image.setSource(imgNameA);
        } catch (IOException e1) {
            e1.printStackTrace();
        }

        Image image2 = new Image();
        image2.setPos(300, 20);
        image2.setSize(200, 200);
        container.addWidget(image2);
        try {
            image2.setSource(imgNameA);
            image2.setZoom(2);
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    private void Image_6(Container container) {
        Image image = new Image();
        image.setPos(20, 20);
        container.addWidget(image);
        try {
            image.setSource(imgNameA);
        } catch (IOException e1) {
            e1.printStackTrace();
        }

        Image image2 = new Image();
        image2.setPos(300, 20);
        image2.setSize(100, 100);
        container.addWidget(image2);
        try {
            image2.setSource(imgNameA);
            image2.setPivot(0, 0);
            image2.setAngle(450);
        } catch (IOException e1) {
            e1.printStackTrace();
        }
    }

    private void Image_7(Container container) {
        Image image = new Image();
        image.setRadius(30);
        image.enableClipCorner(true);
        image.setBackgroundColor(new Color(0xFF00FF00));
        image.setPos(20, 20);
        image.setSize(300, 300);
        container.addWidget(image);
        try {
            image.setSource(imgNameB);
            Thread.sleep(5000);
            image.setSource(imgNameA);
            Thread.sleep(5000);
            image.clear();
        } catch (Exception e1) {
            e1.printStackTrace();
        }
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Image_7(screen);
    }

    public void stop() {
        display.stop();
    }
}
