
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.listener.CancelListener;
import org.joshvm.ui.listener.ClickedListener;
import org.joshvm.ui.listener.ReadyListener;
import org.joshvm.ui.widget.Keyboard;
import org.joshvm.ui.widget.Textarea;

public class KeyboardTest implements UITest {
    private Display display = Display.getDisplay();

    private void Keyboard_1(Container container) {
        Textarea ta = new Textarea();
        ta.setText("This is a textarea.");
        final Keyboard kb = new Keyboard();
        kb.setTextarea(ta);
        container.addWidget(ta);
        container.addWidget(kb);
        ta.setAlign(UIObject.ALIGN_CENTER, UIObject.ALIGN_TOP);
        ta.setY(50);
        ta.setSize(300, 200);
        kb.setSize(600, 200);
        ta.setReadyListener(new ReadyListener() {
            public void onReady(UIObject target) {
                System.out.println(
                        "current text:" + ((Textarea) target).getText());
            }
        });
        ta.setClickedListener(new ClickedListener() {
            public void onClicked(UIObject target) {
                kb.setHidden(false);
            }
        });
        kb.setReadyListener(new ReadyListener() {
            public void onReady(UIObject target) {
                kb.setHidden(true);
            }
        });
        kb.setCancelListener(new CancelListener() {
            public void onCancel(UIObject target) {
                kb.setHidden(true);
            }
        });
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Keyboard_1(screen);
    }

    public void stop() {
        display.stop();
    }
}
