/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Area;
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.widget.Label;

public class LabelTest implements UITest {
    private Display display = Display.getDisplay();

    private void Label_1(Container container) {
        Label l = new Label();
        l.setPos(100, 100);
        l.setPadding(10);
        l.setText("Hello World!\n" + "树 木");
        l.setBackgroundColor(Color.GREEN);
        container.addWidget(l);
    }

    private void Label_2(Container container) {
        String text = "Line1\nABCDEFG\n1234567890";
        Label l = new Label();
        l.setPos(100, 100);
        l.setText(text);
        l.setTextAlign(UIObject.ALIGN_CENTER);
        container.addWidget(l);

        Label l2 = new Label();
        l2.setPos(300, 100);
        l2.setText(text);
        l2.setTextColor(Color.RED);
        l2.setTextLetterSpace(3);
        l2.setTextLineSpace(10);
        container.addWidget(l2);
    }

    private void Label_3(Container container) {
        String text = "It is a long test text with";
        Label l = new Label();
        l.setPos(100, 100);
        l.setSize(120, 45);
        l.setLongTextMode(Label.LONG_TEXT_MODE_WRAP);
        l.setText(text + " wrap mode");
        container.addWidget(l);
        System.out.println("text:" + l.getText());

        l = new Label();
        l.setPos(250, 100);
        l.setSize(120, 45);
        l.setLongTextMode(Label.LONG_TEXT_MODE_DOT);
        l.setText(text + " dot mode");
        container.addWidget(l);

        l = new Label();
        l.setPos(400, 100);
        l.setSize(120, 45);
        l.setLongTextMode(Label.LONG_TEXT_MODE_CLIP);
        l.setText(text + " clip mode");
        container.addWidget(l);

        l = new Label();
        l.setPos(100, 200);
        l.setSize(120, 45);
        l.setLongTextMode(Label.LONG_TEXT_MODE_SCROLL);
        l.setText(text + " scroll mode");
        container.addWidget(l);

        l = new Label();
        l.setPos(250, 200);
        l.setSize(120, 45);
        l.setLongTextMode(Label.LONG_TEXT_MODE_SCROLL_CIRCULAR);
        l.setText(text + " scroll circular mode");
        l.setTextColor(Color.GREEN);
        container.addWidget(l);
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);
        Area area = display.getContentArea();
        System.out.println("Size:" + area.getWidth() + "," + area.getHeight());

        Label_1(screen);
    }

    public void stop() {
        display.stop();
    }
}
