
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.listener.ValueChangedListener;
import org.joshvm.ui.widget.Roller;

public class RollerTest implements UITest {
    private Display display = Display.getDisplay();

    private void Roller_1(Container container) {
        Roller roller = new Roller();
        roller.setPos(200, 200);
        roller.addOption("First");
        roller.addOption("Second");
        roller.addOption("Third");
        roller.addOption("Fourth");
        roller.addOption("Fifth");
        roller.addOption("Sixth");
        roller.addOption("Seventh");
        roller.setSelected(5);
        container.addWidget(roller);
    }

    private void Roller_2(Container container) {
        Roller roller = new Roller(Roller.MODE_INFINITE);
        roller.setPos(200, 100);
        roller.setSize(100, 300);
        // roller.setSize(100,100);
        roller.addOption("A");
        roller.addOption("B");
        roller.addOption("C");
        roller.addOption("D");
        roller.addOption("E");
        roller.addOption("F");
        roller.addOption("G");
        roller.setValueChangedListener(new ValueChangedListener() {

            public void onValueChanged(UIObject target) {
                System.out.println(
                        "selected index:" + ((Roller) target).getSelected());
                String[] options = ((Roller) target).getOptions();
                System.out.println("selected str:"
                        + options[((Roller) target).getSelected()]);
            }
        });
        container.addWidget(roller);
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Roller_2(screen);
    }

    public void stop() {
        display.stop();
    }
}
