
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.listener.ValueChangedListener;
import org.joshvm.ui.widget.Slider;

public class SliderTest implements UITest {
    private Display display = Display.getDisplay();

    private void Slider_1(Container container) {
        Slider slider = new Slider();
        slider.setPos(150, 300);
        slider.setValue(40);
        slider.setValueChangedListener(new ValueChangedListener() {

            public void onValueChanged(final UIObject target) {
                Slider s = (Slider) target;
                System.out.println("current value:" + s.getValue());
            }

        });
        container.addWidget(slider);
    }

    private void Slider_2(Container container) {
        Slider slider = new Slider();
        slider.setPos(150, 100);
        slider.setSize(20, 200);
        slider.setValue(40);
        slider.setBackgroundColor(new Color(0xFFFF0000));
        container.addWidget(slider);
    }

    private void Slider_3(Container container) {
        Slider slider = new Slider();
        slider.setRange(50, 200);
        slider.setPos(150, 300);
        slider.setValue(100);
        slider.setMode(Slider.MODE_RANGE);
        slider.setStartValue(80);
        container.addWidget(slider);
    }

    private void Slider_4(Container container) {
        Slider slider = new Slider();
        slider.setPos(150, 300);
        slider.setValue(30);
        slider.setBackgroundColor(new Color(0xFFFF0000));
        slider.setPadding(-1);
        UIObject indicator = slider.getIndicator();
        indicator.setBackgroundColor(new Color(0xFF00FF00));
        container.addWidget(slider);
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Slider_4(screen);
    }

    public void stop() {
        display.stop();
    }
}
