
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import java.io.IOException;

import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.listener.ValueChangedListener;
import org.joshvm.ui.widget.Image;
import org.joshvm.ui.widget.Switch;

public class SwitchTest implements UITest {
    private Display display = Display.getDisplay();
    private Image img = null;

    private void Switch_1(Container container) {
        Switch sw = new Switch();
        System.out.println("Switch:" + sw.getWidth() + "," + sw.getHeight()
                + "," + sw.getX() + "," + sw.getY());
        sw.setPos(400, 200);
        sw.setSize(150, 50);
        // sw.setDisabled(true);
        container.addWidget(sw);

        img = new Image();
        img.setPos(100, 100);
        container.addWidget(img);

        sw.setValueChangedListener(new ValueChangedListener() {

            public void onValueChanged(final UIObject target) {
                System.out.println("onValueChanged " + target);
                System.out.println("new value(checked):" + ((Switch)target).isChecked());
                if (((Switch)target).isChecked()) {
                    try {
                        img.setSource("/package.png");
                    } catch (IOException e) {
                        e.printStackTrace();
                    }
                } else {
                    img.clear();
                }
            }
        });
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Switch_1(screen);
    }

    public void stop() {
        display.stop();
    }
}
