
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.UIObject;
import org.joshvm.ui.listener.ValueChangedListener;
import org.joshvm.ui.widget.Table;
import org.joshvm.ui.widget.Table.Cell;

public class TableTest implements UITest {
    private Display display = Display.getDisplay();

    private void Table_1(Container container) {
        Table tb = new Table(2, 3);
        tb.setPos(100, 200);
        tb.setColumnWidth(1, 50);
        tb.setCellText(0, 0, "00");
        tb.setCellText(1, 0, "10");
        tb.setCellText(0, 1, "01");
        tb.setCellText(1, 1, "11");
        tb.setCellText(0, 2, "02");
        tb.setCellText(1, 2, "12");
        tb.setTextAlign(UIObject.ALIGN_CENTER);
        tb.setValueChangedListener(new ValueChangedListener() {

            public void onValueChanged(UIObject target) {
                System.out.println("onValueChanged of " + target);
                Cell cell = ((Table) target).getSelectedCell();
                System.out.println(
                        "selected cell:" + cell.rowIndex + "," + cell.colIndex);
            }

        });

        container.addWidget(tb);
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Table_1(screen);
    }

    public void stop() {
        display.stop();
    }
}
