
/*
 * Copyright (C) JOSH Development Team
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License version 2 for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Please visit www.joshvm.org if you need additional information or
 * have any questions.
 */
import org.joshvm.ui.Color;
import org.joshvm.ui.Container;
import org.joshvm.ui.Display;
import org.joshvm.ui.Screen;
import org.joshvm.ui.widget.Textarea;

public class TextareaTest implements UITest {
    private Display display = Display.getDisplay();

    private void Textarea_1(Container container) {
        Textarea ta = new Textarea();
        ta.setText("This is a textarea.");
        ta.setPos(200, 300);
        container.addWidget(ta);
    }

    private void Textarea_2(Container container) {
        Textarea ta = new Textarea();
        ta.setText("This is a textarea.");
        ta.setPos(200, 300);
        ta.enableMode(Textarea.MODE_PASSWORD);
        System.out.println("cursor pos:" + ta.getCursorPos());
        container.addWidget(ta);
    }

    private void Textarea_3(Container container) {
        Textarea ta = new Textarea();
        ta.setText("This is a textarea.");
        ta.setPos(200, 300);
        System.out.println("cursor pos:" + ta.getCursorPos());
        ta.setCursorPos(5);
        ta.addText("12345");
        System.out.println("cursor pos2:" + ta.getCursorPos());
        System.out.println("new Text:" + ta.getText());
        container.addWidget(ta);
    }

    public void start() {
        Screen screen = new Screen();
        screen.setBackgroundColor(new Color(0xFFFFFF00));
        display.setScreen(screen);

        Textarea_3(screen);
    }

    public void stop() {
        display.stop();
    }
}
